Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr
Class RepositoryStatistics.Statistics

    java.lang.Object
      org.modeshape.jcr.RepositoryStatistics.Statistics

All Implemented Interfaces:
  Statistics

Enclosing class:
  RepositoryStatistics

    @Immutable
    public static final class RepositoryStatistics.Statistics

extends Object
implements Statistics

The statistics for a sample of values. The statistics include the `minimum`, `maximum`, `mean (average)`, `variance` and `standard deviation`.

The median value is not included in these statistics, since the median value cannot be rolled up given a series of statistics without having the original values. It is possible to compute the weighted median, but this loses effectiveness/value the more times it is rolled up.

Constructor Summary
`protected` | `RepositoryStatistics.Statistics(int count, long max, long min, double mean, double variance)`

Method Summary
`int` | `getCount()` Get the number of samples to which these statistics apply.
`long` | `getMaximum()` Get the maximum of the sampled values.
`double` | `getMean()` The mean (or average) of the sampled values.
`long` | `getMinimum()` Get the minimum of the sampled values.
`double` | `getStandardDeviation()` Get the standard deviation of the sampled values, which is a measure of how spread out the numbers are and is the square root of the `variance`.
`double` | `getVariance()` Get the variance of the sampled values, which is the average of the squared differences from the `mean`.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RepositoryStatistics.Statistics

    protected RepositoryStatistics.Statistics(int count,
                                              long max,
                                              long min,
                                              double mean,
                                              double variance)

Method Detail

### getCount

    public int getCount()

  Description copied from interface: `Statistics`
  Get the number of samples to which these statistics apply.

  Specified by:
    `getCount` in interface `Statistics`
  Returns:
    the number of samples; never negative

### getMaximum

    public long getMaximum()

  Description copied from interface: `Statistics`
  Get the maximum of the sampled values.

  Specified by:
    `getMaximum` in interface `Statistics`
  Returns:
    the maximum value

### getMinimum

    public long getMinimum()

  Description copied from interface: `Statistics`
  Get the minimum of the sampled values.

  Specified by:
    `getMinimum` in interface `Statistics`
  Returns:
    the minimum value

### getMean

    public double getMean()

  Description copied from interface: `Statistics`
  The mean (or average) of the sampled values. This is returned as a double to reduce the lost of precision.

  Specified by:
    `getMean` in interface `Statistics`
  Returns:
    the mean or average value

### getVariance

    public double getVariance()

  Description copied from interface: `Statistics`
  Get the variance of the sampled values, which is the average of the squared differences from the `mean`.

  Specified by:
    `getVariance` in interface `Statistics`
  Returns:
    the variance; never negative

### getStandardDeviation

    public double getStandardDeviation()

  Description copied from interface: `Statistics`
  Get the standard deviation of the sampled values, which is a measure of how spread out the numbers are and is the square root of the `variance`.

  Specified by:
    `getStandardDeviation` in interface `Statistics`
  Returns:
    the standard deviation; never negative

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.